Package weka.core

# Class UnassignedDatasetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
weka.core.UnassignedDatasetException

All Implemented Interfaces:
  `Serializable`

public class UnassignedDatasetException extends RuntimeException
Exception that is raised when trying to use something that has no reference to a dataset, when one is required.

Version:
  $Revision: 1.5 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnassignedDatasetException()`
Creates a new UnassignedDatasetException with no message.
`UnassignedDatasetException(String message)`
Creates a new UnassignedDatasetException.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnassignedDatasetException

public UnassignedDatasetException()
Creates a new UnassignedDatasetException with no message.

### UnassignedDatasetException

public UnassignedDatasetException(String message)
Creates a new UnassignedDatasetException.

Parameters:
  `message` - the reason for raising an exception.